<?php

/**
 * BlogPostI18n form base class.
 *
 * @package    demo-i18n
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 12815 2008-11-09 10:43:58Z fabien $
 */
class BaseBlogPostI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'title'    => new sfWidgetFormInput(),
      'announce' => new sfWidgetFormTextarea(),
      'body'     => new sfWidgetFormTextarea(),
      'id'       => new sfWidgetFormInputHidden(),
      'culture'  => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'title'    => new sfValidatorString(array('max_length' => 255)),
      'announce' => new sfValidatorString(array('required' => false)),
      'body'     => new sfValidatorString(array('required' => false)),
      'id'       => new sfValidatorPropelChoice(array('model' => 'BlogPost', 'column' => 'id', 'required' => false)),
      'culture'  => new sfValidatorPropelChoice(array('model' => 'BlogPostI18n', 'column' => 'culture', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('blog_post_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'BlogPostI18n';
  }


}
